---
features:
  secondary:
  - name: "Show external user as a comment author in Service Desk issues"
    available_in: [core, premium, ultimate]  # Include all supported tiers
    documentation_link: 'https://docs.gitlab.com/ee/user/project/service_desk.html'
    image_url: '/images/unreleased/comment-external-author.png'
    reporter: kbychu
    stage: monitor
    categories:
    - 'Service Desk'
    issue_url: # Multiple links are supported. Avoid linking to confidential issues.
    - 'https://gitlab.com/gitlab-org/gitlab/-/issues/226995'
    description: |
      When a requester replies to a Service Desk email, it is useful to the Service Desk agent to know who made the comment. But because the requester can be an external user with no GitLab account or access to the GitLab project, these comments were previously attributed to the GitLab Support Bot. From now on, email replies from requesters will be attributed to the external users, making it more clear who made the comments in the GitLab issue.
